@echo off
REM ############################################################################
REM 5/4/2018
REM This is for batch installing games (.iso) on a local PS2 hdd connected via
REM USB / or directly to a PC.
REM 
REM It is designed to be ran on a Windows 10 machine, and to be modified easily.
REM 
REM Right click on the .BAT flie and select "Run as Administrator"
REM
REM if you don't, Hdl_dump.exe won't run at all.  
REM 
REM I wrote it after finding bugs in WinHIIP when loading a few isos 
REM (ie Ratchet and Clank) and to get around limitations in HDL_Helper GUI  
REM which only allows you to add game one at a time :(
REM 
REM This script based on another useful one "ELF_Batcher" found and modified 
REM at www.ps2-home.com
REM 
REM Please use and amend as needed for this or other projects (i've added a few 
REM comments)
REM ~Dekkit
REM ############################################################################


REM Changes folder to where current batch file is
REM "%~dp0" is the cmd line for finding the folder location of the .bat file

cd "%~dp0"
cls
echo ***THIS PROGRAM TO BE  "RUN AS ADMINISTRATOR" ***
echo Now scanning for Playstation 2 (PS2) HDDs...

REM Runs HDL to query all hdds connected to PC to help us find the PS2 HDD
hdl_dump_090 query

REM Added some help text
REM Edit script to add more hdd options if needed.
REM
echo -
echo Look above for HDD "formatted Playstation 2 HDDs"
echo Select where your PS2 HDD is located:
echo =======
echo -
echo 1) hdd1:
echo 2) hdd2:
echo 3) hdd3:
echo 4) hdd4:
echo 5) QUIT


CHOICE /C 12345 /M "Select your PS2 HDD"

IF ERRORLEVEL 1 set @hdl_path=hdd1:
IF ERRORLEVEL 2 set @hdl_path=hdd2:
IF ERRORLEVEL 3 set @hdl_path=hdd3:
IF ERRORLEVEL 4 set @hdl_path=hdd4:
IF ERRORLEVEL 5 GOTO :EOF
echo -
echo -
echo Method to install games?:
echo 1) Install as CDs (Inject_CD)
echo 2) Install as DVDs (Inject_DVD)
echo 3) QUIT
echo - If you have a mixture quit and sort them into seperate folders.
CHOICE /C 123 /M "Select iso type:"


IF ERRORLEVEL 1 set @hdl_op=inject_cd
IF ERRORLEVEL 2 set @hdl_op=inject_dvd
IF ERRORLEVEL 3 GOTO :EOF
echo -

REM ....Info....
REM The following fisrt lists all files that the .iso extension
REM Then runs "hdl_dump_090 cdvd_info2" on that file
REM This then returns the gameID (as token %%L)
REM It then runs again hdl_dump_090 but with either switch inject_cd or inject_dvd
REM plus includes hdd select way above (ie hdd2:) then the name of .iso file 
REM (no .iso extension for the game name) then the full path to the game .iso, 
REM then the game id used in starter file...

for %%f in (*.iso) do (
	for /f "tokens=1,2,3,4,5*" %%i in ('hdl_dump_090 cdvd_info2 "%%f"') do (
		echo Installing ...%%~nf to %@hdl_path%
		hdl_dump_090 %@hdl_op% %@hdl_path% "%%~nf" "%%f" %%l
	)
) 
echo -
echo Install finished!!
echo -
echo -
echo -
echo ...listing %@hdl_path% table of contents
hdl_dump_090 hdl_toc %@hdl_path% 
echo -
REM Please Use, Copy/Distribute, Improve (and share improvements) as you wish!
echo All Done!
Pause
